snd_dma_alloc_pages
Prev | Chapter 22. Sound Devices | Next

## Name

snd_dma_alloc_pages — allocate the buffer area according to the given type

## Synopsis

`int snd_dma_alloc_pages (` | int | type,
| struct device * | device,
| size_t | size,
| struct snd_dma_buffer * | dmab`)`;

## Arguments

`type`

  the DMA buffer type

`device`

  the device pointer

`size`

  the buffer size to allocate

`dmab`

  buffer allocation record to store the allocated data

## Description

Calls the memory-allocator function for the corresponding buffer type.

Returns zero if the buffer with the given size is allocated successfuly, other a negative value at error.

Prev | Up | Next
snd_free_pages | Home | snd_dma_alloc_pages_fallback